Subject: Crosscompile
From: [email-masked] (Gerhard Wesp)

6 Mar 1997 02:42:50 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
In-Reply-To: 
X-Mailer: ELM [version 2.4 PL24 ME8b]
Original-Sender: [email-masked]

 Hi all,

 I'm in the position of having to develop a piece of software which should
should work on UNIX as well as Win95. The code uses sockets, i.e. I
have to use wsock32.dll. 

 I have Linux and Win95 on my PC, and I don't like rebooting into Windows
and recompiling there everytime I change a bit of the code, so I was 
wondering if it was possible to use gcc on Linux as a crosscompiler.

 I tried the win32-{gcc,binutils,...} packages of Debian, but they don't
really work (especially there are problems with include files). Moreover,
they seem a bit outdated and basically come without documentation.

 What steps would be necessary
to use gcc as a crosscompiler?  Since the CPU is the same on Linux
and on Win95, shouldn't it be sufficient to use just a specialized
assembler and linker to create .obj's and then .exe's? Would it be
possible to use the header files from e.g. M$ Visual C 4.00 with gcc?

 Any hints are deeply appreciated!

-Gerhard
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".